gnome-session (49.0-1ubuntu2) questing; urgency=medium

  * d/ubuntu-mimeapps.list: Default to Totem for media files

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 01 Oct 2025 19:22:16 +0200

gnome-session (49.0-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125398).
    Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch:
      + revert removal of GNOME_DESKTOP_SESSION_ID not to break apps using it
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 14:02:44 +0200

gnome-session (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib
  * Remove gnome-session-xsession: it is no longer available

  [ Alessandro Astone ]
  * d/p: Refresh patches
  * d/control: Build-depends on gtk4 for fail-whale
  * d/control: Drop x11 build-depends
  * d/install: Drop removed hardware-compatibility script
  * d/install: Drop removed AUTHORS doc file
  * d/install: Rename systemd override for application scopes
  * d/install: Use gnome-mimeapps.list from upstream
  * d/control: Breaks gdm3 and gnome-initial-setup

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 20:52:47 -0400

gnome-session (49~rc-0ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/ubuntu-session.migrations: Remove reference to old unity migration script

  [ Alessandro Astone ]
  * New upstream release
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 16:30:31 +0200

gnome-session (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/data: Delete unused Unity files
  * d/p/u/support_autostart_delay.patch:
    - Drop patch because gnome-session is no longer autostarting services
      via desktop files
  * d/p: Rebase patches
  * d/control: Breaks gdm3 and gnome-initial-setup

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 05 Aug 2025 14:39:13 +0200

gnome-session (49~alpha.1-0ubuntu1) questing; urgency=medium

  * New upstream release
    - Fixes logout/shutdown (LP: #2118739)
  * d/p/u/remove_session_saving_from_gui.patch:
    - Drop because applied upstream
  * d/p/revert_remove_gnome_session_properties.patch:
    - Drop for moving to gnome-control-center
  * d/p/u/ubuntu-sessions.patch: Rework for new mesonfile
  * d/p: Refresh all other patches
  * d/control: Drop xorg sessions
  * d/control: Drop gnome-startup-applications, moving to gnome-control-center
  * d/control: Build-depends on gtk4 for fail-whale
  * d/control: Drop x11 build-depends
  * d/install: Drop removed hardware-compatibility script
  * d/install: Drop unused run-systemd-session script
  * d/install: Drop removed AUTHORS doc file
  * d/install: Rename systemd override for application scopes
  * d/install: Use gnome-mimeapps.list from upstream
  * d/install: Add ubuntu-mimeapps.list with Ubuntu-specific defaults

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 31 Jul 2025 16:46:26 +0200

gnome-session (48.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian.
    - Includes fix for shutting down GNOME Shell (LP: #2118739)
  * Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 25 Jul 2025 16:48:43 +0200

gnome-session (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove subprocess patch: applied in new release
  * debian/gnome-session.docs: README → README.md
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 14:41:04 -0400

gnome-session (47.0.1-2ubuntu3) plucky; urgency=medium

  * No change upload to trigger a launchpad translations import

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Apr 2025 20:37:50 +0200

gnome-session (47.0.1-2ubuntu2) plucky; urgency=medium

  * Update d/p/ubuntu/dbus_request_shutdown.patch (LP: #2100965):
    The original implementation of the RequestReboot and RequestShutdown,
    introduced by this patch, were no longer working. This fixes it by
    simply relaying the call to Reboot and Shutdown methods, instead of
    nearly duplicating them.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 19 Mar 2025 15:57:10 +0100

gnome-session (47.0.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * gnome-mimeapps.list: Use Papers as default for the formats it supports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Mar 2025 17:14:06 -0500

gnome-session (47.0.1-2) unstable; urgency=medium

  * Move Depends: xwayland from gnome-session-bin to gnome-session
    (Closes: #1072342)
  * Remove Recommends: fonts-variable since it's currently unused

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Mar 2025 16:45:45 -0500

gnome-session (47.0.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Remove Recommends: fonts-inter-variable
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Rebase ubuntu patches:
    - debian/patches/ubuntu/ubuntu-sessions.patch:
      Adapt for x11 becoming optional

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 20 Nov 2024 17:16:40 +0100

gnome-session (47.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/rules: Explicitly enable X11 support.
    It's now optional upstream, and even if the default changes, we will
    likely want to keep it enabled in Debian.
  * d/control: Remove version constraints unnecessary since Debian 11
  * d/control: Add missing ${misc:Depends} to Depends for
    gnome-session-xsession

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Oct 2024 18:17:31 +0100

gnome-session (46.0-8ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Remove Recommends: fonts-inter-variable
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 11:23:22 -0400

gnome-session (46.0-8) unstable; urgency=medium

  * Team upload
  * d/p/gnome-session-wrapper-Avoid-running-as-a-subprocess.patch:
    Add proposed patch to avoid an excess subprocess in the wrapper script.
    This fixes the gnome-settings-daemon 47~rc test suite.

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Sep 2024 13:31:43 +0100

gnome-session (46.0-7ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Have gnome-session depend on libjxl-gdk-pixbuf
  * Split the Ubuntu on Xorg session to a separate package:
    ubuntu-session-xsession. Have ubuntu-session Recommend that package
  * Drop obsolete Breaks/Replaces
  * Drop Recommends: fonts-inter-variable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 17:39:42 -0400

gnome-session (46.0-7) unstable; urgency=medium

  * Remove patch to revert portal change now that Debian Testing has
    xdg-desktop-portal-gnome 46

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 17:24:37 -0400

gnome-session (46.0-6) unstable; urgency=medium

  * Depend on fonts-cantarell again (Closes: #1078434)
  * Temporarily keep Recommends: fonts-inter-variable for smooth upgrades
  * Have gnome-session-xsession Provide x-session-manager

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Aug 2024 09:15:49 -0400

gnome-session (46.0-5) unstable; urgency=medium

  * Source-only upload

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 10:39:40 -0400

gnome-session (46.0-4) unstable; urgency=medium

  * Split the GNOME on Xorg session to a separate package:
    gnome-session-xsession. Have gnome-session Recommend that package
    for now (Closes: #1076096)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jul 2024 13:53:54 -0400

gnome-session (46.0-3) unstable; urgency=medium

  * Drop alternate dependency on xdg-desktop-portal-backend.
    See the portals.conf manpage if you want to opt into different backends
    for specific interfaces (Closes: #1074547)
  * Add Depends: fonts-inter-variable for the new GNOME 47 default font
  * Move fonts-cantarell from Depends to Recommends.
    Keep as Recommends for smoother live upgrades.
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Jul 2024 07:02:43 -0400

gnome-session (46.0-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Re-add Build-Depends on libsystemd-dev

  [ Jeremy Bícha ]
  * Drop obsolete Breaks/Replaces
  * Add Breaks against older budgie-desktop & phosh due to removal
    of --builtin and --systemd (Closes: #1068123)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 May 2024 13:56:52 -0400

gnome-session (46.0-1ubuntu4.1) noble; urgency=medium

  * Fix 90 second logout time in the Unity session (LP: #2063383).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 24 Apr 2024 19:35:39 -0500

gnome-session (46.0-1ubuntu4) noble; urgency=medium

  * unity-session: Drop recommends on removed thunderbird-gnome-support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Apr 2024 17:49:55 +0200

gnome-session (46.0-1ubuntu3) noble; urgency=medium

  * Fix failure in starting a Unity session due to the removal of the
    --builtin/--systemd flags in 46~alpha-1ubuntu1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 09 Apr 2024 00:24:03 -0500

gnome-session (46.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:07:32 +0000

gnome-session (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Drop revert portal change patch: not needed in Ubuntu
  * Mark the Ubuntu sessions as supporting GNOME 46 Remote Login

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 18:52:22 -0400

gnome-session (46.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch to revert portal change since Debian Unstable does not have
    GNOME Shell or xdg-desktop-portal-gnome 46 yet
  * gnome-mimeapps.list: several updates for firefox, thunderbird, & gdebi
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 18:31:23 -0400

gnome-session (46~alpha-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:44:41 +0000

gnome-session (46~alpha-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Install /usr/share/applications/gnome-mimeapps.list. Previously
    desktop-file-utils provided /etc/gnome/defaults.list for this functionality
    (LP: #1559129)
  * gnome-mimeapps.list: Adjust a few defaults for Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 18:41:18 -0500

gnome-session (46~alpha-1) experimental; urgency=medium

  [ Heinrich Schuchardt ]
  * debian/control: depend on adwaita-icon-theme (instead of obsolete -full)

  [ Jeremy Bícha ]
  * New upstream release
  * systemd is now a hard dependency therefore convert to linux-any
  * Update install files and stop using dh-exec
  * Update gnome-mimeapps.list based on GNOME proposal !102

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 17:37:09 -0500

gnome-session (45.0-2) unstable; urgency=medium

  * d/gnome-mimeapps.list: Recommend gnome-text-editor ahead of gedit.
    All file types that previously defaulted to gedit now default to
    gnome-text-editor, falling back to gedit. This is a follow-up for the
    removal of gedit from the gnome-core metapackage before Debian 12,
    replaced by gnome-text-editor. (Closes: #1055838)
  * d/control, d/rules: Don't generate d/control from d/control.in

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Nov 2023 17:43:38 +0000

gnome-session (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
  * Update ubuntu-sessions.patch to use semicolons for DesktopNames
    as recommended at bug 2036098

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 17:57:50 -0400

gnome-session (45.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were included in the new upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Sep 2023 11:14:11 +0100

gnome-session (44.0-4ubuntu1) mantic; urgency=medium

  * Merge with Debian to fix Dark Theme regression (LP: #2034602).
    Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 10:35:01 -0400

gnome-session (44.0-4) unstable; urgency=medium

  * Cherry-pick 2 more patches from upstream:
    - Also set LC_ADDRESS and LC_TELEPHONE from configured user region
    - Make gsm-system's return_false actually return FALSE

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Sep 2023 10:23:19 -0400

gnome-session (44.0-3) unstable; urgency=medium

  * Team upload
  * d/p/data-Add-gnome-portals.conf.patch:
    Add patch proposed upstream to add a gnome-portals.conf for use by
    xdg-desktop-portal >= 1.17.1.
    This is the replacement for the UseIn field in .portal files, and is
    analogous to how we ship a mimeapps.list to configure preferred apps
    to handle MIME types in GNOME.
  * d/gnome-session-common.install: Install gnome-portals.conf

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Aug 2023 17:13:06 +0100

gnome-session (44.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jul 2023 14:18:25 +0300

gnome-session (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 07:25:57 -0400

gnome-session (44.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Have gnome-session depend on adwaita-icon-theme-full & fonts-cantarell
  * gnome-mimeapps.list: Sort the file as first step to updating it

  [ Jian-Hong Pan ]
  * d/gnome-session_gnomerc.sh: Make GNOME and GNOME-derived have the
    same behavior

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Fill in Homepage field.
  * Update standards version to 4.6.2, no changes needed
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 07:14:35 -0400

gnome-session (43.0-1ubuntu2) kinetic; urgency=medium

  * debian/gnome-session-bin.install: Don't install gnome-session-custom-session
    (LP: #1992775)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 13 Oct 2022 07:13:51 -0400

gnome-session (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 14:32:03 -0400

gnome-session (43.0-1) unstable; urgency=medium

  [ Nathan Pratta Teodosio ]
  * New upstream bugfix release (LP: #1992495)
    - Don't install gnome-session-custom-session (Closes: #1013672)

  [ Jeremy Bicha ]
  * Have gnome-session depend on
    xdg-desktop-portal-gnome | xdg-desktop-portal-backend (LP: #1970424)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 14:08:35 -0400

gnome-session (42.0-1ubuntu3) kinetic; urgency=medium

  * debian/gnome-session-common.install: Don't install gnome-mimeapps.list
    (installed by desktop-file-utils in Ubuntu) (LP: #1970248)
  * Have gnome-session and ubuntu-session depend on
    xdg-desktop-portal-gnome | xdg-desktop-portal-backend (LP: #1970424)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 May 2022 11:35:12 -0400

gnome-session (42.0-1ubuntu2) jammy; urgency=medium

  * No change rebuild to trigger a new translation import from launchpad,
    the gettext domain changed this cycle but was set wrongly on the server
    so we currently have no translation in the language packs.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Apr 2022 21:07:53 +0200

gnome-session (42.0-1ubuntu1) jammy; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 08:45:09 -0400

gnome-session (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 08:40:00 -0400

gnome-session (41.3-1ubuntu1) jammy; urgency=medium

  * Merge with debian:
    - Ensure that systemd is preferred on startup (LP: #1959596)
  * debian/rules: Automatically compute the pot name using $DEB_UPSTREAM_VERSION
  * debian/rules: Keep gnome-session domain in sync with major version
  * debian/patches: Remove applied upstream
  * debian/patches: Refresh patches as per upstream changes
  * debian: Remove communitheme-snap session
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 01 Mar 2022 13:19:24 +0100

gnome-session (41.3-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Revert "Leave compatibility symlinks in /usr/lib/gnome-session".
    This was no longer needed in either gdm3 or gnome-control-center
    since before bullseye.

  [ Simon McVittie ]
  * d/rules: Configure with systemd_session=default on Linux.
    On Linux systems that have dbus-user-session, we now prefer systemd
    mode, as we did in bullseye (until it was accidentally disabled in
    40.1.1-2). On systems that do not, such as those using sysvinit, we'll
    fall back to the old code path with a warning.
    The old code path will not necessarily remain supported by upstream
    forever, since one of the motivations for the systemd mode was to
    simplify GNOME session startup, but at the moment it still works.
    (Closes: #1004448)
  * Depend on default-dbus-session-bus | dbus-session-bus instead of
    dbus-x11
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Jan 2022 14:42:02 +0000

gnome-session (40.1.1-3ubuntu1) jammy; urgency=medium

  * Merge with debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Nov 2021 03:28:07 +0100

gnome-session (40.1.1-3) unstable; urgency=medium

  * Team upload
  * Partially revert changes to gnomerc handling in previous version.

    The previous version moved handling of two Debian-specific
    and GNOME-specific features from /etc/X11/Xsession.d to
    /etc/profile.d. Those features are: sourcing ~/.gnomerc, and adding
    /usr/share/gnome to XDG_DATA_DIRS. Previously, those features worked
    for X11 sessions, but not for Wayland sessions.

    For X11 users, this use of /etc/profile.d works for users of gdm,
    GNOME's recommended display manager, because /etc/gdm/Xsession sources
    /etc/profile. lxdm and sddm appear to have similar code. However,
    it will not necessarily work for users of other display managers
    such as lightdm and xdm, because /etc/X11/Xsession does not source
    /etc/profile; this could cause these features to regress. This means
    we should prefer to keep Xsession.d responsible for this feature,
    and only rely on /etc/profile.d in the case where Xsession.d is
    unsuitable, namely Wayland.

    For Wayland users, this relies on gnome-session using a login shell
    to relaunch itself when it detects a Wayland session. However,
    /etc/profile is only sourced for users whose configured login shell
    is bash or ksh, and is not currently sourced for users whose shell is
    zsh or a non-Bourne shell like csh. This is not a regression, merely
    a new feature that works for users of some shells but not others.

    As a side-effect, this also reinstates the conffile that was not
    correctly removed in the previous version (Closes: #996809, #996853).

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Oct 2021 20:13:39 +0100

gnome-session (40.1.1-2) unstable; urgency=medium

  * Team upload

  [ Jian-Hong Pan, Gunnar Hjalmarsson ]
  * debian/55gnome-session_gnomerc: Make gnomerc work with both X11 and
    Wayland.
    The original 55gnome-session_gnomerc installed under the path
    /etc/X11/Xsession.d/ will only be executed with X11. To make both X11
    and Wayland use it, the script can be moved into /etc/profile.d/ and
    renamed as gnome-session_gnomerc.sh.
    This patch also modifies the way to guard that it is a GNOME
    (or GNOME-derived) session by checking the environment variable
    XDG_CURRENT_DESKTOP.
    The environment variable XDG_DATA_DIRS is manipulated as usual.

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Drop patch to select gnome-session mode.
    This could have been dropped after 3.34.0-3; gnome-session now
    handles both cases without having us to handle it.

  [ Simon McVittie ]
  * Build-depend on libgl-dev instead of transitional libgl1-mesa-dev
  * Build-depend on libgles-dev instead of transitional libgles2-mesa-dev
  * d/gnome-session_gnomerc.sh: Quote more defensively
  * d/gnome-session_gnomerc.sh: Add magic comments to make it shellcheck-clean

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 19:21:16 +0100

gnome-session (40.1.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing latest stable release:
    We already included most of the patches.
  * debian/patches: Install again gnome-wayland so that can be used from X11 gdm
    (LP: #1944223)
  * d/p/ubuntu-sessions.patch: Add ubuntu-wayland session to support gdm on X11
    (LP: #1944223, required for LP: #1942911)
  * d/p/ubuntu-sessions.patch: Skip ubuntu-xorg.desktop.in from translations.
    The .in.in file is already translated.
  * gnome-session.install: Include gnome-wayland session
  * ubuntu-session.install: Include ubuntu-wayland session
  * debian/rules: Update pot file name to be generated
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - debian/rules: Ensure pot file is generated to translate session files
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Sep 2021 20:34:00 +0200

gnome-session (40.1.1-1) unstable; urgency=medium

  * New upstream release
    - GNOME session will now only block sleep for suspend inhibitors and will
      block shutdown if a logout inhibitor is active.
      Previously a suspend inhibitor would prevent both sleep & logout.
      Apps may need to be updated and grab both a logout & suspend inhibitor.
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 23 Aug 2021 20:59:34 -0400

gnome-session (3.38.0-4) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump dependency on meson 0.53 as per upstream
  * d/p/util-Disable-capturing-of-subpatterns.patch:
    Cherry-pick upstream patch fixing a stack overflow when environment
    variables have very long values, in particular when using fish and
    LS_COLORS

  [ Didier Roche ]
  * debian/55gnome-session_gnomerc:
    Protect against multiple additions of the same path.
    Do not append the same path to XDG_DATA_DIRS, resulting to duplication
    on consecutive logout/logins due to an older session lingering and the
    environment being reused. One consequence is that Electron applications
    crash (LP: #1764355)

  [ Simon McVittie ]
  * d/patches: Turn upstream bug reference into a URL
  * d/patches: Actively remove undesired variables from activation
    environment.
    This works around bugs in cinnamon-session and mate-session-manager,
    which do not yet have an equivalent of gnome-session's variable_blacklist
    and so will upload login-session-specific variables like XDG_SESSION_ID
    into `dbus-daemon --session` and, indirectly, `systemd --user`.
    (Closes: #973474)

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Mar 2021 14:21:00 +0100

gnome-session (3.38.0-3ubuntu2) hirsute; urgency=medium

  * debian/control: Remove ubuntu-desktop Breaks on g-s-d common (again)
  * debian/changelog: add back changes for release 3.38.0-1ubuntu1

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Feb 2021 20:38:37 +0100

gnome-session (3.38.0-3ubuntu1) hirsute; urgency=medium

  * Merge with debian
  * ubuntu-sessions: Use Wayland by default
  * debian/patches:
    - Drop applied patches (and refresh others)
    - Drop patch to select gnome-session mode
    - Cherry-pick upstream patch fixing a crash when using fish
  * debian/data: Drop support for Upstart
  * d/p/ubuntu/add_sessionmigration.patch: Don't check for upstart
  * debian/gnome-session.links: Drop it, we handle this in meson now
  * debian/gnome-session.preinst: Remove deprecated file, served us till bionic
  * debian/control: Remove gnome-session-wayland, deprecated since zesty
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 10 Feb 2021 20:08:41 +0100

gnome-session (3.38.0-3) unstable; urgency=medium

  * Team upload
  * Update to upstream git commit 3.38.0-14-g87d92fec
    - Fix slow shutdown with systemd >= 247 (Closes: #975400)
    - Don't send environment variables to systemd if they contain
      control characters that it won't accept, in particular \r
    - Log a warning if environment variables cannot be sent to
      dbus-daemon or systemd
    - Log a warning if updating environment variables fails
    - Don't try to autostart systemd (which can't work), silencing
      warnings in the gdm greeter session
    - Update translations

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Dec 2020 11:24:31 +0000

gnome-session (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Sep 2020 10:30:03 +0100

gnome-session (3.38.0-1ubuntu1) groovy; urgency=medium

  * Merge with debian, containing new upstream release.
  * debian/control:
    - Update ubuntu-session breaks to match gnome ones (where it makes sense)
  * d/p/meson-Require-meson-0.53.patch,
    d/p/data-Leave-to-meson-the-duty-of-keeping-the-lists-in-sync.patch,
    d/p/meson-Generate-.session.conf-for-all-the-sessions-with-re.patch:
    - Drop, applied upstream
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        ariables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Sep 2020 13:23:35 +0200

gnome-session (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Revert "debian/watch: Find unstable versions too"

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 11:38:01 +0100

gnome-session (3.37.0-2ubuntu1) groovy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian, containing new upstream release.
  * debian/patches: Refreshed as per upstream source changes
  * debian/control:
    - Bump ubuntu-session dependencies to match gnome ones
    - Set ubuntu-session breaks on shell and g-s-d (as gnome-session does)
    - Bump dependency to meson 0.53 as per upstream patches
    - Add Breaks/Replaces to unity-session on gnome-session-bin
  * debian/gnome-session-bin.install,
    debian/gnome-session-common.install,
    debian/gnome-session.install,
    debian/ubuntu-session.install:
    - Install gnome-session common systemd unit files to gnome-session-common
      while the ubuntu and gnome configuration drop-ins {ubuntu,gnome}-session.
      Add executable bit and use dh-exec to enable [linux-any] there.
  * debian/unity-session.install,
    debian/gnome-session-bin.install:
    - Move gnome-session.service to unity-session (it's unity specific)
  * d/p/ubuntu/ubuntu/kill_the_fail_whale.patch:
    - Dropped. The fail whale is still used as triggered by systemd, the bugs
      that the patch was addressing are 5 years old now and there's no point to
      carry this patch even more when upstream believes that the dialog should
      be shown. Also from an Ubuntu POV it's a better user experience than just
      going back to gdm.
  * d/p/meson-Require-meson-0.53.patch,
    d/p/data-Leave-to-meson-the-duty-of-keeping-the-lists-in-sync.patch,
    d/p/meson-Generate-.session.conf-for-all-the-sessions-with-re.patch:
    - Cherry pick upstream patches that allow to generate session files from
      meson, so that we can reuse the same codepath and reduce duplication for
      ubuntu session files.
  * d/p/ubuntu/ubuntu-sessions.patch:
    - Refresh as per upstream meson changes, make it generate ubuntu systemd
      configuration drop-in.
    - Don't pass --systemd anymore, this is the default
  * Remaining changes with debian:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones

  [ Iain Lane ]
  * control: Switch from Breaks old gnome-shell to Depends new one.  I think
    this more correctly expresses what we want here. Our systemd session
    definitions refer to org.gnome.Shell.target which was introduced in
    3.37.91. We should ensure that this is on the system. Similarly for the
    various org.gnome.SettingsDaemon units which were renamed in 3.37.0.
  * debian/control: Apply relationship changes from gnome-session to
    ubuntu-session

 -- Iain Lane <iain.lane@canonical.com>  Wed, 02 Sep 2020 17:44:42 +0100

gnome-session (3.37.0-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Build-Depend on systemd, for /usr/share/pkgconfig/systemd.pc

  [ Marco Trevisan (Treviño) ]
  * debian/control:
    - B-d on debhelper-compat 13 and remove dh_missing override
    - gnome-session-common Breaks and Replaces gnome-session-bin
  * debian/*.install: Move session drop-ins to gnome-session

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 01 Sep 2020 16:11:30 +0200

gnome-session (3.37.0-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Relax the evolution version for the Breaks, the
    .desktop file was apparently already renamed in 3.30.0

  [ Iain Lane ]
  * New upstream release
    - autostart-app: Place launched applications into a systemd scope
    - data: Add drop-in to configure launched applications
    - data: Major changes in systemd configuration
    - doc: Add description of important systemd units to man page
    - fail-whale-dialog: Make dialog visible in all monitors
    - gnome-session: avoid setting LC_ unless LANG and region disagree
    - gnome-session-ctl: Add systemd service failure checker
    - gnome-session-inhibit: Add --list command
    - main: clear environment on shutdown
    - util: Unset GNOME_SETUP_DISPLAY at login time
  * Defuzz patches
  * control: Add Breaks on gnome-shell and gnome-initial-setup before 3.37.90
    and gnome-settings-daemon before 3.37.0. This gnome-session updates and
    rejigs the systemd units that live here - we need to make sure we have the
    updated versions available.

  [ Marco Trevisan (Treviño) ]
  * control: Bump Breaks on gdm3 before 3.37.90, we'd just get a black screen
    without a systemd session definition that gnome-session now exposes.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 22:12:37 +0200

gnome-session (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - debian/data: Add old-style systemd user session used by Unity
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/ubuntu/kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/ubuntu/support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/ubuntu/remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * Drop old upstart integration - upstart is long gone

 -- Iain Lane <iain.lane@canonical.com>  Thu, 26 Mar 2020 12:22:56 +0000

gnome-session (3.36.0-2) unstable; urgency=medium

  * debian/gnome-mimeapps.list: eog and evolution have renamed their .desktop
    file, adjust the file accordingly. Add a Breaks for previous versions.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 21 Mar 2020 15:50:33 +0100

gnome-session (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Mar 2020 17:29:11 +0100

gnome-session (3.35.3-1ubuntu4) focal; urgency=medium

  * debian/control*:
    - update VCS information to point to ubuntu salsa branch
    - Bump dependencies for ubuntu-session:
      + gnome-shell (>= 3.36.0-2ubuntu1)
      + yaru-theme-gnome-shell (>= 20.04.3)
  * d/gnome-session.{preinst,postinst,prerm}:
    - Don't install gdm3.css anymore (it's now provided as gresource
      by gnome-shell).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Mar 2020 17:11:53 +0000

gnome-session (3.35.3-1ubuntu3) focal; urgency=medium

  * No-change rebuild against libgnome-desktop-3-19

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 04:33:32 +0000

gnome-session (3.35.3-1ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:02:25 +0000

gnome-session (3.35.3-1ubuntu1) focal; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * Update for run-systemd-session in /usr/libexec
  * Rebase patches through gbp-pq add_sessionmigration.patch and
    remove_session_saving_from_gui.patch required manual resolution.
  * gnome-session-bin.links: Create a symlink for run-systemd-session for the
    old location. Just in case anything is using it. If and when it's
    verified that nothing is, this can be dropped.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 09 Jan 2020 13:54:41 +0000

gnome-session (3.35.3-1) experimental; urgency=medium

  * New upstream release
    + binary: Allow quitting early on SIGTERM/SIGINT
    + binary: Log a critical when our SIGTERM/SIGINT handler fails to log out

 -- Iain Lane <laney@debian.org>  Thu, 09 Jan 2020 12:10:46 +0000

gnome-session (3.34.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Use debhelper-compat 12
  * Recommend default-logind | logind instead of libpam-systemd.
    This allows elogind as an alternative.
    Thanks to Mark Hindley (Closes: #925336)
  * d/p/Make-sure-to-pass-systemd-when-we-re-managing-the-user-se.patch:
    Respect @libexecdir@, in preparation for switching to /usr/libexec
  * Install non-user-facing executables in /usr/libexec, with
    compatibility symlinks in /usr/lib/gnome-session until gdm3 and
    gnome-control-center catch up
  * Stop overriding --localstatedir.
    It doesn't seem to be used for anything.

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Dec 2019 17:09:56 +0000

gnome-session (3.34.1-1ubuntu2) eoan; urgency=medium

  * debian/data/gnome-session.service:
    - Pass --builtin to gnome-session to fix broken login for Unity
      after the Debian change in version 3.34.0-3.
      Discussion at https://discourse.ubuntu.com/t/10690/127
      Thanks to Iain Lane for the solution!

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 10 Oct 2019 15:29:00 +0200

gnome-session (3.34.1-1ubuntu1) eoan; urgency=medium

  * debian/*: Run wrap-and-sort -a.
    We just did this in Debian: hopefully should make future merges easier.
  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones

 -- Iain Lane <iain.lane@canonical.com>  Mon, 07 Oct 2019 12:38:07 +0100

gnome-session (3.34.1-1) unstable; urgency=medium

  * New upstream release
   + Drop accidentally included `--debug` when launching
     `gnome-session-binary`
   + Introduce a list of variables to potentially unset in launched
     sessions
  * Drop changes from 3.33.90-3 to add a gnome-session-systemd script. They
    are obsolete with 3.34.0-3

 -- Iain Lane <laney@debian.org>  Mon, 07 Oct 2019 12:07:07 +0100

gnome-session (3.34.0-3) unstable; urgency=medium

  * Add d/p/Make-sure-to-pass-systemd-when-we-re-managing-the-user-se.patch
    Thanks to Iain Lane for the patch. (Closes: #941640)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 03 Oct 2019 14:27:50 +0200

gnome-session (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:29:31 +0200

gnome-session (3.34.0-1) experimental; urgency=medium

  * Team upload

  [ Iain Lane ]
  * d/p/d/gnome-.desktop.in.in-Pass-systemd.patch: Use gnome-session-systemd
    too. I'd patched TryExec before, by mistake.

  [ Simon McVittie ]
  * New upstream translation release

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Sep 2019 08:54:12 +0100

gnome-session (3.33.92-1ubuntu1) eoan; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * Take change from debian/master:
    + d/p/d/gnome-.desktop.in.in-Pass-systemd.patch: Use gnome-session-systemd
      too. I'd patched TryExec before, by mistake.
  * Refresh patches

 -- Iain Lane <iain.lane@canonical.com>  Fri, 06 Sep 2019 18:11:39 +0100

gnome-session (3.33.92-1) experimental; urgency=medium

  * d/control, d/gnome-session-bin.install: Only install user units on Linux
  * New upstream release
    - More systemd --user fixes
  * Refresh patches.
  * d/p/util-Blacklist-some-session-specific-variables.patch: Drop, upstream
    in this release.
  * d/control, d/gnome-session-bin.install: Only install user units on Linux

 -- Iain Lane <laney@debian.org>  Fri, 06 Sep 2019 13:42:12 +0100

gnome-session (3.33.90-3) experimental; urgency=medium

  * d/p/gnome-.desktop.in.in-Pass-systemd.patch: Create a wrapper script. We
    can only have an executable without any arguments here, otherwise the X
    session can't be started up.

 -- Iain Lane <laney@debian.org>  Thu, 05 Sep 2019 17:23:10 +0100

gnome-session (3.33.90-2ubuntu2) eoan; urgency=medium

  * Bring back gnome-session.service as Unity still needs it.
  * Alter description of gnome-session.service to make clear it is for Unity.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 29 Aug 2019 10:39:12 +0100

gnome-session (3.33.90-2ubuntu1) eoan; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * ubuntu-sessions.patch: Refresh

 -- Iain Lane <iain.lane@canonical.com>  Sat, 24 Aug 2019 08:55:06 +0100

gnome-session (3.33.90-2) experimental; urgency=medium

  * rules, gnome-.desktop.in.in-Pass-systemd.patch: Build with
    -Dsystemd_session=enable.  Build gnome-session with
    -Dsystemd_session=enable (instead of =default).  This means that sessions
    need to pass `--systemd` to launch using systemd.

 -- Iain Lane <laney@debian.org>  Sat, 24 Aug 2019 08:18:53 +0100

gnome-session (3.33.90-1ubuntu1) eoan; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/95_dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/revert_remove_gnome_session_properties.patch:
      + Don't merge translations into gnome-session-properties.desktop
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
  * ubuntu-sessions.patch: Add X-GDM-SessionRegisters=true to our.desktop
    files. Following a change from upstream we need to register with GDM when
    logging in, so that it knows when to shut itself down. (LP: #1798790)
  * debian/patches/*: Rebase. Adjust the Ubuntu session to account for dropped
    components
  * Drop our downstream gnome-session upstart override and service. We have
    this upstream now (and upstart is gone)

 -- Iain Lane <laney@debian.org>  Fri, 16 Aug 2019 16:56:49 +0100

gnome-session (3.33.90-1) experimental; urgency=medium

  * New upstream release
    + Add support to manage the session using the systemd user instance. A new
      systemd_session build time option is added to enable/disable the support
      and set it as the default (disable/enable/default). Right now the
      support is enabled by default.
      - For Debian this means that we are now (in experimental, currently!)
        requiring systemd for GNOME sessions.
    + Update session definitions to match new gnome-settings-daemon
    + don't show logout button in fail whale when not logged in
    + handle apps exiting abruptly at log out better
  * debian/rules: Disable systemd session support on !linux
  * control: Bump gnome-shell/gnome-settings-daemon/gdm requirements.
    For the systemd --user support, ensure that people have all the
    components involved at 3.33.90.
  * Install systemd units into gnome-session-bin. They are needed by
    `/usr/bin/gnome-session` itself.
  * util-Blacklist-some-session-specific-variables.patch: Take from MR. Don't
    upload some session specific variables into the D-Bus and systemd
    environments, otherwise some things will get the wrong idea about what
    session they're running in.

 -- Iain Lane <laney@debian.org>  Thu, 15 Aug 2019 15:05:56 +0100

gnome-session (3.33.4-1) experimental; urgency=medium

  * debian/watch: Find unstable versions too
  * New upstream release
    + advertize support for GDM's session registration API
    + fix idle detection
    + fix warning in log spew with dbus activated services

 -- Iain Lane <laney@debian.org>  Fri, 02 Aug 2019 14:42:53 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnome-session-bin`.
